Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Components::Transaction::UserTransaction Interface Reference

`import "CCM_Transaction.idl";`

List of all members.

## Public Methods
void | begin () raises (NotSupported, SystemError)
void | commit () raises (RollbackError, NoTransaction, HeuristicMixed, HeuristicRollback, Security, SystemError)
void | rollback () raises (NoTransaction, Security, SystemError)
void | set_rollback_only () raises (NoTransaction, SystemError)
Status | get_status () raises (SystemError)
void | set_timeout (in long to) raises (SystemError)
TranToken | suspend () raises (NoTransaction, SystemError)
void | resume (in TranToken txtoken) raises (InvalidToken, SystemError)
void | begin () raises (NotSupported, SystemError)
void | commit () raises (RollbackError, NoTransaction, HeuristicMixed, HeuristicRollback, Security, SystemError)
void | rollback () raises (NoTransaction, Security, SystemError)
void | set_rollback_only () raises (NoTransaction, SystemError)
Status | get_status () raises (SystemError)
void | set_timeout (in long to) raises (SystemError)
TranToken | suspend () raises (NoTransaction, SystemError)
void | resume (in TranToken txtoken) raises (InvalidToken, SystemError)

## Member Function Documentation

void Components::Transaction::UserTransaction::begin | ( |  | ) | raises (NotSupported, SystemError)

void Components::Transaction::UserTransaction::begin | ( |  | ) | raises (NotSupported, SystemError)

void Components::Transaction::UserTransaction::commit | ( |  | ) | raises (RollbackError, NoTransaction, HeuristicMixed, HeuristicRollback, Security, SystemError)

void Components::Transaction::UserTransaction::commit | ( |  | ) | raises (RollbackError, NoTransaction, HeuristicMixed, HeuristicRollback, Security, SystemError)

Status Components::Transaction::UserTransaction::get_status | ( |  | ) | raises (SystemError)

Status Components::Transaction::UserTransaction::get_status | ( |  | ) | raises (SystemError)

void Components::Transaction::UserTransaction::resume | ( | in TranToken | txtoken | ) | raises (InvalidToken, SystemError)

void Components::Transaction::UserTransaction::resume | ( | in TranToken | txtoken | ) | raises (InvalidToken, SystemError)

void Components::Transaction::UserTransaction::rollback | ( |  | ) | raises (NoTransaction, Security, SystemError)

void Components::Transaction::UserTransaction::rollback | ( |  | ) | raises (NoTransaction, Security, SystemError)

void Components::Transaction::UserTransaction::set_rollback_only | ( |  | ) | raises (NoTransaction, SystemError)

void Components::Transaction::UserTransaction::set_rollback_only | ( |  | ) | raises (NoTransaction, SystemError)

void Components::Transaction::UserTransaction::set_timeout | ( | in long | to | ) | raises (SystemError)

void Components::Transaction::UserTransaction::set_timeout | ( | in long | to | ) | raises (SystemError)

TranToken Components::Transaction::UserTransaction::suspend | ( |  | ) | raises (NoTransaction, SystemError)

TranToken Components::Transaction::UserTransaction::suspend | ( |  | ) | raises (NoTransaction, SystemError)

The documentation for this interface was generated from the following files:

- CCM_Transaction.idl
- Component_Base.idl